%define api 	2
%define major	0
%define gmajor	2.0
%define libname	%mklibname %{name} %{api} %{major}
%define girname	%mklibname %{name}-gir %{gmajor}
%define devname	%mklibname %{name} %{api} -d

%global apikey	geoclue

Name:		geoclue
Version:	2.7.2
Release:	%mkrel 2
Summary:	A modular geoinformation service
Group:		Geography
License:	GPLv2+
URL:		https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
Source0:	https://gitlab.freedesktop.org/geoclue/geoclue/-/archive/%{version}/geoclue-%{version}.tar.bz2
Patch0:		0001-Allow-redshift-to-use-agent.patch
Patch1:		0001-Set-StateDirectory-in-systemd-service-file.patch
# Backport from upstream
## Generated with: git format-patch -N --stdout 2.7.2...master > geoclue-2.7.2-git41-backports.patch
Patch10:	geoclue-2.7.2-git41-backports.patch
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(mm-glib)

# for demo agent
BuildRequires:	pkgconfig(libnotify)

Requires(pre):		rpm-helper
Requires(post):		rpm-helper
Requires(postun):	rpm-helper
Requires(preun):	rpm-helper

# for TLS/SSL support
Requires:	glib-networking

Provides:	geoclue2 = %{version}-%{release}

%description
Geoclue is a D-Bus service that provides location information. The
primary goal of the Geoclue project is to make creating location-aware
applications as simple as possible, while the secondary goal is to
ensure that no application can access location information without
explicit permission from user.

Geoclue used to also do (reverse-)geocoding but that functionality has
been dropped in favor of geocode-glib library.

However project is in the early stages of development and hence
lacking essential features. Currently it can only determine your
location based on your IP (i-e city-level accuracy) and does not have
any permission control.

%files
%doc NEWS README.md
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_sysconfdir}/xdg/autostart/geoclue-demo-agent.desktop
%attr(755,geoclue,geoclue) %dir %{_sharedstatedir}/geoclue
%{_datadir}/polkit-1/rules.d/org.freedesktop.GeoClue2.rules
%{_datadir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_datadir}/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Agent.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Client.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Location.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Manager.xml
%{_datadir}/applications/geoclue-demo-agent.desktop
%{_datadir}/applications/geoclue-where-am-i.desktop
%{_libexecdir}/geoclue-2.0/
%{_libexecdir}/geoclue
%{_unitdir}/geoclue.service
%{_mandir}/man5/geoclue.5.*

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Geoclue Client Library
Group:		System/Libraries

%description -n %{libname}
A convenience library to interact with Geoclue service.

%files -n %{libname}
%{_libdir}/libgeoclue-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for geoclue2
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for geoclue2.

%files -n %{girname}
%{_libdir}/girepository-1.0/Geoclue-%{gmajor}.typelib

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for geoclue2
Group:		Development/Other
Obsoletes:	libgeoclue1.0-devel < 1.99.2
Obsoletes:	lib64geoclue1.0-devel < 1.99.2
Obsoletes:	%{name}-devel < 2.4.0
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}2-devel = %{version}-%{release}
# (tv) fix "No rule to make target '/usr/share/dbus-1/interfaces/org.freedesktop.GeoClue2.xml', needed by 'geoclue.h'":
Requires:	geoclue
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files for geoclue2.

%files -n %{devname}
%{_includedir}/libgeoclue-%{gmajor}/
%{_libdir}/pkgconfig/geoclue-%{gmajor}.pc
%{_libdir}/pkgconfig/libgeoclue-%{gmajor}.pc
%{_libdir}/libgeoclue-%{api}.so
%{_datadir}/gir-1.0/Geoclue-%{gmajor}.gir
%{_datadir}/vala/vapi/libgeoclue-%{api}.*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson -Dgtk-doc=false \
       -Ddbus-srv-user=%{name} \
       -Ddefault-wifi-url="https://api.beacondb.net/v1/geolocate"
%meson_build

%install
%meson_install

# home dir for geoclue
mkdir -p %{buildroot}%{_sharedstatedir}/geoclue

%pre
%_pre_useradd %{name} %{_sharedstatedir}/geoclue /sbin/nologin

%preun
%_preun_service %{name}

%post
%_post_service %{name}

%postun
%_postun_userdel %{name}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.7.2-2.mga10
+ Revision: 2235918
- Mageia 10 Mass Rebuild

* Wed Feb 12 2025 daviddavid <daviddavid> 2.7.2-1.mga10
+ Revision: 2148001
- new version: 2.7.2
- backport fixes from upstream to use BeaconDB
- use BeaconDB for the default location services source

* Sun Sep 24 2023 tv <tv> 2.7.0-1.mga10
+ Revision: 1990320
- Update to 2.7.0

* Wed Sep 28 2022 wally <wally> 2.6.0-3.mga9
+ Revision: 1892889
- preserve data in /var/lib/geoclue between reboots
- set StateDirectory in systemd service file to suppress some warnings in logs

* Tue Sep 27 2022 wally <wally> 2.6.0-2.mga9
+ Revision: 1892870
- add patch from upstream MR to port to libsoup3

* Tue Mar 15 2022 tv <tv> 2.6.0-1.mga9
+ Revision: 1793273
- Update to 2.6.0

* Sun Jan 10 2021 wally <wally> 2.5.7-1.mga8
+ Revision: 1670403
- new version 2.5.7

* Sun Jan 10 2021 wally <wally> 2.5.3-6.mga8
+ Revision: 1670351
- provide geoclue2 (as since r1607794 webkit2 recommeds it)

* Sat Apr 11 2020 wally <wally> 2.5.3-5.mga8
+ Revision: 1566285
- add tmpfiles.d config file

* Sat Apr 11 2020 wally <wally> 2.5.3-4.mga8
+ Revision: 1566281
- fix %%pre scriptlet for user creation

* Fri Apr 10 2020 ovitters <ovitters> 2.5.3-3.mga8
+ Revision: 1566188
- run service under geoclue user instead of root

* Sun Feb 16 2020 umeabot <umeabot> 2.5.3-2.mga8
+ Revision: 1535243
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 daviddavid <daviddavid> 2.5.3-1.mga8
+ Revision: 1451633
- new version: 2.5.3

* Wed Aug 21 2019 daviddavid <daviddavid> 2.5.2-3.mga8
+ Revision: 1430727
- adjust BR for new NM

* Tue May 07 2019 wally <wally> 2.5.2-2.mga7
+ Revision: 1396616
- don't overwrite user's config file

* Mon May 06 2019 kekepower <kekepower> 2.5.2-1.mga7
+ Revision: 1396598
- Update to version 2.5.2 (mga#24712)

* Wed Apr 17 2019 umeabot <umeabot> 2.5.1-2.mga7
+ Revision: 1392217
- Rebuild with meson 0.50.1

* Tue Oct 16 2018 wally <wally> 2.5.1-1.mga7
+ Revision: 1321139
- new version 2.5.1
- switch to meson build

* Sun Oct 14 2018 wally <wally> 2.4.13-1.mga7
+ Revision: 1320269
- new version 2.4.13

* Fri Sep 21 2018 wally <wally> 2.4.12-2.mga7
+ Revision: 1295114
- add patch to allow redshift to use location agent

* Sat Sep 08 2018 wally <wally> 2.4.12-1.mga7
+ Revision: 1257883
- new version 2.4.12

* Thu Apr 26 2018 kekepower <kekepower> 2.4.8-1.mga7
+ Revision: 1222658
- Update to version 2.4.8

* Tue May 30 2017 wally <wally> 2.4.7-1.mga6
+ Revision: 1105616
- new version 2.4.7

* Wed Sep 14 2016 akien <akien> 2.4.4-1.mga6
+ Revision: 1052602
- Version 2.4.4

* Thu Mar 03 2016 wally <wally> 2.4.3-1.mga6
+ Revision: 984896
- new version 2.4.3

* Sun Feb 28 2016 wally <wally> 2.4.2-1.mga6
+ Revision: 980307
- new version 2.4.2

* Sun Feb 14 2016 umeabot <umeabot> 2.4.0-2.mga6
+ Revision: 960275
- Mageia 6 Mass Rebuild
+ wally <wally>
- add more general provides to devel pkg

* Tue Oct 27 2015 wally <wally> 2.4.0-1.mga6
+ Revision: 895842
- new version 2.4.0
- add client lib and gir pkgs
- rename devel pkg

* Fri Sep 18 2015 wally <wally> 2.3.0-1.mga6
+ Revision: 880340
- new version 2.3.0

* Thu Aug 06 2015 wally <wally> 2.2.0-1.mga6
+ Revision: 861481
- new version 2.2.0

* Sun Jun 21 2015 wally <wally> 2.1.10-1.mga6
+ Revision: 837599
- new version 2.1.10

* Mon Feb 16 2015 wally <wally> 2.1.9-4.mga5
+ Revision: 815245
- require glib-networking for TLS/SSL support

* Wed Oct 15 2014 umeabot <umeabot> 2.1.9-3.mga5
+ Revision: 744772
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.9-2.mga5
+ Revision: 679496
- Mageia 5 Mass Rebuild

* Thu Jun 19 2014 wally <wally> 2.1.9-1.mga5
+ Revision: 638137
- new version 2.1.9
- rediff pkgconfig patch

* Mon Apr 28 2014 wally <wally> 2.1.8-1.mga5
+ Revision: 618636
- new version 2.1.8

* Fri Mar 28 2014 tv <tv> 2.1.7-2.mga5
+ Revision: 609217
- make devel package requires geoclue thus fixing building g-settings-daemon

* Tue Mar 25 2014 wally <wally> 2.1.7-1.mga5
+ Revision: 608563
- new version 2.1.7

* Sun Mar 09 2014 wally <wally> 2.1.6-2.mga5
+ Revision: 601524
- enable demo agent

* Sun Mar 09 2014 wally <wally> 2.1.6-1.mga5
+ Revision: 601519
- new version 2.1.6

* Wed Feb 26 2014 wally <wally> 2.1.5-1.mga5
+ Revision: 597302
- new version 2.1.5

* Wed Feb 19 2014 wally <wally> 2.1.4-1.mga5
+ Revision: 594788
- new versino 2.1.4
- rediff pkgconfig patch
- loosen nm-glib requires

* Tue Feb 11 2014 tv <tv> 2.1.2-1.mga5
+ Revision: 589419
- adjust file list
+ wally <wally>
- new version 2.1.2
- drop patches from upstream
- rediff pkgconfig location patch

* Fri Dec 20 2013 colin <colin> 2.0.0-3.mga4
+ Revision: 559133
- Use systemd for geoclue dbus service activation

* Sun Oct 20 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 536800
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 wally <wally> 2.0.0-1.mga4
+ Revision: 485622
- new version 2.0.0

* Tue Sep 17 2013 wally <wally> 1.99.4-1.mga4
+ Revision: 480931
- new version 1.99.4
- rediff pkgconfig location patch

* Tue Sep 03 2013 wally <wally> 1.99.3-1.mga4
+ Revision: 474796
- new version 1.99.3
- clean unneeded BRs
- rediff pkgconfig patch

* Sat Aug 24 2013 fwang <fwang> 1.99.2-3.mga4
+ Revision: 471307
- cleared br
- geoip-update locates in geocode-glib previously

* Fri Aug 23 2013 wally <wally> 1.99.2-2.mga4
+ Revision: 470396
- obsolete old arch specific devel pkg

* Fri Aug 23 2013 wally <wally> 1.99.2-1.mga4
+ Revision: 470390
- new version 1.99.2
- rediff pkgconfig patch to install .pc file to %%_datadir as devel pkg is now noarch
- disable geoip-server build for now
- update description
- drop client-side library

* Wed Aug 21 2013 wally <wally> 1.99.1-2.mga4
+ Revision: 468849
- build with geoip support

* Wed Aug 21 2013 wally <wally> 1.99.1-1.mga4
+ Revision: 468840
- new version 1.99.1
- update license
- add patch to fix pkgconfig file
- update BRs

* Tue Aug 13 2013 wally <wally> 1.99.0-1.mga4
+ Revision: 466188
- new version 1.99.0 (first release of "new" geoclue)
- spec based on one from Olav Vitters

* Fri Jan 11 2013 umeabot <umeabot> 0.12.99-3.mga3
+ Revision: 351367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 0.12.99-2.mga3
+ Revision: 308202
- update rpm group

* Fri Oct 19 2012 fwang <fwang> 0.12.99-1.mga3
+ Revision: 308201
- update file list
- fix build with latest gps
- add more br
- acturally use gtk2.0
- new version 0.12.99
+ ennael <ennael>
- Documentation group

* Mon Jun 20 2011 dmorgan <dmorgan> 0.12.0-11.mga2
+ Revision: 110487
- Rebuild against new libnm-glib

* Tue Apr 05 2011 dmorgan <dmorgan> 0.12.0-10.mga1
+ Revision: 80751
- Add missing libgeoclue-devel provide

* Tue Apr 05 2011 pterjan <pterjan> 0.12.0-9.mga1
+ Revision: 80592
- Drop major from -devel

* Tue Apr 05 2011 pterjan <pterjan> 0.12.0-8.mga1
+ Revision: 80585
- Revert to standard name for devel package

* Mon Apr 04 2011 dmorgan <dmorgan> 0.12.0-7.mga1
+ Revision: 80509
- Provides libgeoclue-devel for compatibility

* Mon Apr 04 2011 dmorgan <dmorgan> 0.12.0-6.mga1
+ Revision: 80478
- Rebuild because of missing packages

* Thu Mar 24 2011 boklm <boklm> 0.12.0-5.mga1
+ Revision: 76141
- rebuild for bug #497

* Sat Mar 19 2011 dmorgan <dmorgan> 0.12.0-4.mga1
+ Revision: 74393
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Rebuild because of missing pacakges

* Mon Mar 07 2011 dmorgan <dmorgan> 0.12.0-3.mga1
+ Revision: 66282
- Bump release
- SYnc with fedora

* Sun Jan 23 2011 pterjan <pterjan> 0.12.0-2.mga1
+ Revision: 35402
- Drop old stuff
- imported package geoclue


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-2mdv2011.0
+ Revision: 605446
- rebuild

* Sun Apr 04 2010 Emmanuel Andry <eandry@mandriva.org> 0.12.0-1mdv2010.1
+ Revision: 531453
- always need BR gtk-doc
- New version 0.12.0
- drop patches (merged upstream)

* Wed Mar 03 2010 Emmanuel Andry <eandry@mandriva.org> 0.11.1.1-0.20100119.2mdv2010.1
+ Revision: 513890
- diff p1 to fix build with gpsd-2.91

* Tue Jan 19 2010 Emmanuel Andry <eandry@mandriva.org> 0.11.1.1-0.20100119.1mdv2010.1
+ Revision: 493842
- New svn snapshot
- fix geoclue-test-gui packaging

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.11.1.1-0.20090310.2mdv2010.0
+ Revision: 450018
- Add patch fixing hostip provider for new API
  (freedesktop.org bug #24058)
- Update to 20090310 snapshot used by Fedora: fixes geoclue-master segfault
  when Empathy starts up

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.11.1-2mdv2010.0
+ Revision: 421343
- fix devel provides

* Sun Jul 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.11.1-1mdv2010.0
+ Revision: 400470
- add buildrequires on xsltproc
- disable parallel make
- add spec and source files
- create geoclue

